#region Copyright Syncfusion Inc. 2001 - 2019
// Copyright Syncfusion Inc. 2001 - 2019. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;
using System.IO;
using Syncfusion.WinForms.Controls;

namespace CustomRenderer_2008
{
    public partial class Form1 : SfForm
    {
        CustomRenderer renderer2;
        public Form1()
        {
            InitializeComponent();
            renderer2 = new CustomRenderer(this.linearGauge2);
            this.MinimumSize=new Size(915,605);
            UpdateColors();
            this.trackBarEx1.Value = 52;

            #region Initial Settings
            this.SizeChanged += new EventHandler(MainForm_SizeChanged);
            this.linearGauge2.Visible = true;
           
            this.trackBarEx1.Location = new Point((this.splitContainerAdv1.Panel2.Width - this.trackBarEx1.Width) / 2, this.trackBarEx1.Location.Y);
            this.label2.Location = new Point(this.trackBarEx1.Location.X, this.label2.Location.Y);
            this.label2.Text = "Pointer Value : " + this.trackBarEx1.Value.ToString();
            #endregion
        }

        /// <summary>
        /// Helps to upate color customization for Linear Gauage
        /// </summary>
        private void UpdateColors()
        {
            //Value forecolor and Outer arc color
            this.linearGauge2.GaugeBaseColor = this.linearGauge2.ForeColor = this.linearGauge2.MajorTickMarkColor =
               this.linearGauge2.MinorTickMarkColor = ColorTranslator.FromHtml("#5c5c5c");

            this.trackBarEx1.ValueChanged += new EventHandler(trackBarEx1_ValueChanged);

            //Range and Outer arc color
            this.linearGauge2.Ranges[0].Color = ColorTranslator.FromHtml("#e8e8ec");

            //Value indicator color
            this.linearGauge2.ValueIndicatorColor = ColorTranslator.FromHtml("#db3738");
            this.linearGauge2.Renderer = renderer2;
        }


        void trackBarEx1_ValueChanged(object sender, EventArgs e)
        {
            this.label2.Text = "Pointer Value : " + this.trackBarEx1.Value.ToString();
                char degree = (char)176;
                this.linearGauge2.Value = this.trackBarEx1.Value;
                this.label3.Text = "Boiling point is " + linearGauge2.Value.ToString()+ degree +" C"; 
        }
      

        void MainForm_SizeChanged(object sender, EventArgs e)
        {
           this.linearGauge2.Location = new Point(this.splitContainerAdv1.Panel1.Width / 2 - this.linearGauge2.Width / 2, this.splitContainerAdv1.Panel1.Height / 2 - this.linearGauge2.Height / 2);
            this.trackBarEx1.Location = new Point( (this.splitContainerAdv1.Panel2.Width - this.trackBarEx1.Width) / 2, this.trackBarEx1.Location.Y);
            this.label2.Location = new Point(this.trackBarEx1.Location.X, this.label2.Location.Y);
        }

    }
   
}

